/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { useState } from 'react'
import { StyledFormLabel } from '../StyledComponents.js'
import Cropper from '../../Cropper'
import { Button } from '@material-ui/core';
import styled from 'styled-components'

export default function EditThumbnail(props) {
    const [crop] = useState({
        unit: "%" ,
        width : 200,
        aspect: 9/6
    });
    return (
        <>
            <StyledFormLabel contrast={props.contrast} component="legend" style={{ fontSize: "14px", marginBottom: "10px" }}>
                <b>Editando Imagem</b> <span style={props.contrast === "" ? { color: "#a5a5a5" } : { color: "white" }}>(Deixe seu recurso completo, para que todos o entendam melhor.)</span>
            </StyledFormLabel>
            <div style={{ display: "flex", alignItems: "center", flexDirection: "column" }}>
                <div style={{ maxWidth: "500px", maxHeight: "300px", padding: "20px" }}>
                    <Cropper src={props.tempImgURL} crop={crop} circularCrop={false} update={props.updateThumb} />
                </div>
                <StyledButton contrast={props.contrast} onClick={() => { props.finalizeThumb() }}>SELECIONAR IMAGEM</StyledButton>
            </div>
        </>

    )
}

const StyledButton = styled(Button)`
    &:hover {
        background: ${props => props.contrast === "" ? "rgba(158,158,158,0.2)  !important" : "rgba(255,255,0,0.24) !important"};
    }
    background: ${props => props.contrast === "" ? "#fff !important" : "black !important"};
    border: ${props => props.contrast === "" ? "solid 1px #00bcd4 !important" : "solid 1px white !important"};
    color: ${props => props.contrast === "" ? "#00bcd4 !important" : "yellow !important"};
    text-decoration: ${props => props.contrast === "" ? "none !important" : "underline !important"};
    font-weight : 600 !important;
`
